Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface StrucDocTitleContent

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  StrucDocTitleContentImpl

    public interface StrucDocTitleContent

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Struc Doc Title Content'.

The following features are supported:

- `Mixed`
- `Group`
- `Content`
- `Sub`
- `Sup`
- `Br`
- `Footnote`
- `Footnote Ref`
- `ID`
- `Language`
- `Style Code`

See Also:
  `CDAR2Package.getStrucDocTitleContent()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getBr()` Returns the value of the 'Br' containment reference list.
`org.eclipse.emf.common.util.EList` | `getContent()` Returns the value of the 'Content' containment reference list.
`org.eclipse.emf.common.util.EList` | `getFootnote()` Returns the value of the 'Footnote' containment reference list.
`org.eclipse.emf.common.util.EList` | `getFootnoteRef()` Returns the value of the 'Footnote Ref' containment reference list.
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()` Returns the value of the 'Group' attribute list.
`java.lang.String` | `getID()` Returns the value of the 'ID' attribute.
`java.lang.String` | `getLanguage()` Returns the value of the 'Language' attribute.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`java.util.List` | `getStyleCode()` Returns the value of the 'Style Code' attribute.
`org.eclipse.emf.common.util.EList` | `getSub()` Returns the value of the 'Sub' containment reference list.
`org.eclipse.emf.common.util.EList` | `getSup()` Returns the value of the 'Sup' containment reference list.
`void` | `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.
`void` | `setLanguage(java.lang.String value)` Sets the value of the '`Language`' attribute.
`void` | `setStyleCode(java.util.List value)` Sets the value of the '`Style Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `CDAR2Package.getStrucDocTitleContent_Mixed()`

### getGroup

    org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Returns the value of the 'Group' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Group' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `CDAR2Package.getStrucDocTitleContent_Group()`

### getContent

    org.eclipse.emf.common.util.EList getContent()

  Returns the value of the 'Content' containment reference list. The list contents are of type `StrucDocTitleContent`.

  If the meaning of the 'Content' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTitleContent_Content()`

### getSub

    org.eclipse.emf.common.util.EList getSub()

  Returns the value of the 'Sub' containment reference list. The list contents are of type `StrucDocSub`.

  If the meaning of the 'Sub' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sub' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTitleContent_Sub()`

### getSup

    org.eclipse.emf.common.util.EList getSup()

  Returns the value of the 'Sup' containment reference list. The list contents are of type `StrucDocSup`.

  If the meaning of the 'Sup' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sup' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTitleContent_Sup()`

### getBr

    org.eclipse.emf.common.util.EList getBr()

  Returns the value of the 'Br' containment reference list. The list contents are of type `StrucDocBr`.

  If the meaning of the 'Br' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Br' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTitleContent_Br()`

### getFootnote

    org.eclipse.emf.common.util.EList getFootnote()

  Returns the value of the 'Footnote' containment reference list. The list contents are of type `StrucDocTitleFootnote`.

  If the meaning of the 'Footnote' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Footnote' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTitleContent_Footnote()`

### getFootnoteRef

    org.eclipse.emf.common.util.EList getFootnoteRef()

  Returns the value of the 'Footnote Ref' containment reference list. The list contents are of type `StrucDocFootnoteRef`.

  If the meaning of the 'Footnote Ref' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Footnote Ref' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTitleContent_FootnoteRef()`

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `CDAR2Package.getStrucDocTitleContent_ID()`

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`

### getLanguage

    java.lang.String getLanguage()

  Returns the value of the 'Language' attribute.

  If the meaning of the 'Language' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Language' attribute.
  See Also:
    `setLanguage(String)`, `CDAR2Package.getStrucDocTitleContent_Language()`

### setLanguage

    void setLanguage(java.lang.String value)

  Sets the value of the '`Language`' attribute.

  Parameters:
    `value` - the new value of the 'Language' attribute.
  See Also:
    `getLanguage()`

### getStyleCode

    java.util.List getStyleCode()

  Returns the value of the 'Style Code' attribute.

  If the meaning of the 'Style Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Style Code' attribute.
  See Also:
    `setStyleCode(List)`, `CDAR2Package.getStrucDocTitleContent_StyleCode()`

### setStyleCode

    void setStyleCode(java.util.List value)

  Sets the value of the '`Style Code`' attribute.

  Parameters:
    `value` - the new value of the 'Style Code' attribute.
  See Also:
    `getStyleCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD